Subject: Re: bug#51858: 29.0.50; pcomplete not ignoring case

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Nov 2021 06:59:41 +0100

Carlos Pita <[email-masked]> writes:

> the docstring for pcomplete-ignore-case (which is now an alias for
> completion-ignore-case) says:
>
>     Non-nil means don’t consider case significant in completion.
>     For file-name completion, ‘read-file-name-completion-ignore-case’
>     controls the behavior, rather than this variable.
>
> But if I set read-file-name-completion-ignore-case to t I'm still unable
> to complete, for example, "cd ~/desk<tab>" to "cd ~/Desktop" in a
> shell. OTOH setting pcomplete-ignore-case to t gives the desired
> completion.
>
> I'm not sure whether something like "cd ~/desk<tab>" in a M-x shell
> counts as "file-name completion" or not, but it seems to me that it
> should.

Just to clarify -- read-file-name-completion-ignore-case works
everywhere else, but doesn't work in a *shell* buffer?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no